package com.kasetoatz.hungryfrog.mixin;

import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.ai.brain.Brain;
import net.minecraft.entity.ai.brain.MemoryModuleType;
import net.minecraft.entity.ai.brain.sensor.Sensor;
import net.minecraft.entity.ai.brain.sensor.SensorType;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;
import java.util.Collection;

@Mixin(Brain.Profile.class)
public interface ProfileAccessor<E extends LivingEntity>
{
    @Accessor("memoryModules")
    Collection<? extends MemoryModuleType<?>> getMemoryModules();

    @Accessor("sensors")
    Collection<? extends SensorType<? extends Sensor<? super E>>> getSensors();
}
